'use strict';

var googleClosureCompilerJs = require('google-closure-compiler-js');

var index = function () {
    var flags = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

    return {
        name: 'closure-compiler-js',

        transformBundle: function transformBundle(code, options) {
            // trigger sourcemap generation
            if (options.sourceMap !== false) {
                flags.createSourceMap = true;
            }

            flags.jsCode = [{
                src: code
            }];

            var _compile = googleClosureCompilerJs.compile(flags);

            var compiledCode = _compile.compiledCode;
            var sourceMap = _compile.sourceMap;


            var result = { code: compiledCode };
            if (sourceMap) {
                result.map = sourceMap;
            }

            return result;
        }
    };
}
module.exports = exports['default'];

module.exports = index;